<?php
// Редактирование товара
if (isset($_GET['t']))
{
$t_id=abs(intval($_GET['t']));
$tovar=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `id`='$t_id'"));
}
if(!$tovar){mset_err("Товар не найден!");header("Location: ?l=tovars"); exit;}


$_SESSION['title']="Редактирование эталона $tovar[name] ";
heads($headers_page, $set_ob_start);   //подключение шапки    tovar
$path=M."/img/tov/$tovar[ico]";

//
if (isset($_POST['saved']))
{
$types=get_type_tov();
/*/  DEBUG
foreach($types as $k=>$v)
{
echo $k." - ".$v."<br />";
}
/*/
$errors='';
// Проверка и сохранение
//      type
$type = ft_nic($_POST['type']); //
if(isset($types[$type]))
{
$type_name=$types[$type]; //  Проверка существования типа товара
}else{
$errors.="Типа товара $type не существует!";
}   
//      incode
$incode=''; //  Проверка на уникальность
if(!preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['incode'])){$errors.="В индивидуальном коде товара присутствуют запрещенные символы!";}else{$incode=ft_nic($_POST['incode']);}
$check_unic=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `incode`='$incode' AND `id`!='$tovar[id]'"));
if($check_unic)$errors.="Код товара уже занят товаром $check_unic[name] [$check_unic[incode]]!";
if(strlen2($incode)<3 or strlen2($incode)>32){$errors.="Неверная длина индивидуального кода товара!";}
//      name
$name=ft_nic($_POST['name']);   //  Проверка на уникальность
if(strlen2($name)<3 or strlen2($name)>64){$errors.="Неверная длина наименования товара!";}
$check_unic='';       
$check_unic=mysql_fetch_assoc(mysql_query("SELECT * FROM `tovar` WHERE `name`='$name' AND `id`!='$tovar[id]' LIMIT 1"));
if($check_unic){$errors.="Уникальные имена $name уже используются товаром $check_unic[name] [$check_unic[incode]] !";}
//      massa
$massa=floatval($_POST['massa']); //
//      price
$price=floatval($_POST['price']); //
//      minlev
$minlev=intval($_POST['minlev']); //

//      skor
$skor=intval($_POST['skor']); //
//      povrej
$povrej=intval($_POST['povrej']); //
//      tochn
$tochn=intval($_POST['tochn']); //
//      dolgov
$dolgov=intval($_POST['dolgov']); //
//      bron
$bron=intval($_POST['bron']); //
//      antirad
$antirad=intval($_POST['antirad']); //
//      antihim
$antihim=intval($_POST['antihim']); //
//      antipsi
$antipsi=intval($_POST['antipsi']); //
//      antitermo
$antitermo=intval($_POST['antitermo']); //
//      plener
$plener=intval($_POST['plener']); //
//      pllive
$pllive=intval($_POST['pllive']); //

//      radia
$patron=ft_nic($_POST['patron']); //
//      psi
#$psi=intval($_POST['psi']); //
//      hem
$maxdolg=intval($_POST['maxdolg']); //
// $patron
#$patron='';
#if(!preg_match("#^([A-Za-z0-9\_])+$#ui", $_POST['patron'])){$errors.="В коде патрона присутствуют запрещенные символы!";}else{$incode=ft_nic($_POST['incode']);}
     if($errors=='')
     {
      mysql_query("UPDATE `tovar` SET
       `name`='$name',
       `minlev`='$minlev',
       `type`='$type',
       `incode`='$incode',
       `massa`='$massa',
       `price`='$price',
       `type_name`='$type_name',
       `skor`='$skor',
       `povrej`='$povrej',
       `tochn`='$tochn',
       `dolgov`='$dolgov',
       `maxdolg`='$maxdolg',
       `bron`='$bron',
       `antirad`='$antirad',
       `antihim`='$antihim',
       `antipsi`='$antipsi',
       `antitermo`='$antitermo',
       `plener`='$plener',
       `pllive`='$pllive',
       `patron`='$patron'
       WHERE `id`='$tovar[id]' LIMIT 1");
       if(mysql_affected_rows()>0){mset_msg("Товар $name успешно изменен!");}else{mset_err("Не удалось изменить товар $tovar[name]".mysql_error());}
     }
if($errors)mset_err($errors);

header("Location: ?l=tedit&t=$tovar[id]"); exit;
}else{
echo "<div class='smottb'><img src='$path' alt='*' /></div>";
echo "<form class='c03' action='' method='post'>";
echo "ID:  [$tovar[id]] <br /><input type='text' name='name' value='$tovar[name]' />";
//
#echo "<br /> Тип: <br /><input type='text' name='type' value='$tovar[type]' />";
if($types=get_type_tov())
{
echo "<br />Тип <br /><select name='type'>";
  foreach($types as $k=>$v)
    {
      echo "<option value='$k'".($k==$tovar['type']?" selected='selected'":null).">$v</option>\n";
    }  
echo "</select><a title='новый тиа' href='?l=newtype'>[NEW]</a>";
}
//
echo "<br /> Инд. код: <br /><input type='text' name='incode' value='$tovar[incode]' />";
//
#echo "<br /> ico: <br /><input type='text' name='ico' value='$tovar[ico]' />";   //
//
echo "<br /> Масса: <br /><input type='text' name='massa' value='$tovar[massa]' />";   //
//
echo "<br /> Цена по зоне: <br /><input type='text' name='price' value='$tovar[price]' />";   //
//
echo "<br /> Уровень: <br /><input type='text' name='minlev' value='".(isset($tovar['minlev'])?"$tovar[minlev]":null)."' />";   //
####################### ПАРАМЕТРЫ ДЛЯ ОРУЖИЯ
//
echo "<br /> Скорострельность: <br /><input type='text' name='skor' value='".(isset($tovar['skor'])?"$tovar[skor]":null)."' />";   //
echo "<br /> Повреждение: <br /><input type='text' name='povrej' value='".(isset($tovar['povrej'])?"$tovar[povrej]":null)."' />";
echo "<br /> Точность: <br /><input type='text' name='tochn' value='".(isset($tovar['tochn'])?"$tovar[tochn]":null)."' />";
####################### ПАРАМЕТРЫ ДЛЯ ОРУЖИЯ И СНАРЯЖЕНИЯ
echo "<br /> Долговечность: <br /><input type='text' name='dolgov' value='".(isset($tovar['dolgov'])?"$tovar[dolgov]":null)."' />";
echo "<br />Максимальная долговечность: <br /><input type='text' name='maxdolg' value='".(isset($tovar['maxdolg'])?"$tovar[maxdolg]":null)."' />";
//
$patrontype=mysql_query("SELECT * FROM `tovar` WHERE `type`='patron'");
if(mysql_num_rows($patrontype))
{
echo "<br />Тип патрона для оружия<br />$tovar[patron]<br /><select name='patron'>";
  echo "<option value=''>Не использует</option>";
  while($data=mysql_fetch_assoc($patrontype))
    {
      echo "<option value='$data[incode]'>$data[incode]</option>";
    }
echo "</select>";
}
//
####################### ПАРАМЕТРЫ ДЛЯ СНАРЯЖЕНИЯ 
echo "<br /> Броня: <br /><input type='text' name='bron' value='".(isset($tovar['bron'])?"$tovar[bron]":null)."' />";
####################### ПАРАМЕТРЫ ДЛЯ СНАРЯЖЕНИЯ  И АРТЕФАКТОВ
echo "<br /> Радиозащита: <br /><input type='text' name='antirad' value='".(isset($tovar['antirad'])?"$tovar[antirad]":null)."' />";
echo "<br /> Химзащита: <br /><input type='text' name='antihim' value='".(isset($tovar['antihim'])?"$tovar[antihim]":null)."' />";
echo "<br /> Пси защита: <br /><input type='text' name='antipsi' value='".(isset($tovar['antipsi'])?"$tovar[antipsi]":null)."' />";
echo "<br /> Термо защита: <br /><input type='text' name='antitermo' value='".(isset($tovar['antitermo'])?"$tovar[antitermo]":null)."' />";
####################### ПАРАМЕТРЫ ДЛЯ ПИЩИ И МЕДИКАМЕНТОВ
echo "<br /> Восстановл энергии: <br /><input type='text' name='plener' value='".(isset($tovar['plener'])?"$tovar[plener]":null)."' />";
echo "<br /> Восстановл жизни: <br /><input type='text' name='pllive' value='".(isset($tovar['pllive'])?"$tovar[pllive]":null)."' />";
####################### ПАРАМЕТРЫ ДЛЯ АРТЕФАКТОВ
#echo "<br /> Радиация: <br /><input type='text' name='radia' value='".(isset($tovar['radia'])?"$tovar[radia]":null)."' />";
#echo "<br /> Пси: <br /><input type='text' name='psi' value='".(isset($tovar['psi'])?"$tovar[psi]":null)."' />";


echo "<br /><input type='submit' name='saved' value='сохранить' />";
echo "</form>";}
echo "<div class='c03'><a href='?l=tovars'>товары </a></div>";
?>